package com.zhongshu.card.server.core.dao.school;

import com.github.microservice.components.data.mongo.mongo.dao.MongoDao;
import com.zhongshu.card.server.core.domain.school.College;

import java.util.List;

/**
 * 院级Dao
 * @author TRX
 * @date 2024/3/21
 */
public interface CollegeDao extends MongoDao<College> {

    College findTopById(String id);

    List<College> findByOidOrderBySortAsc(String oid);

    College findByNameAndOid(String name, String oid);

    College findTopByCodeAndOid(String code, String oid);

    List<College> findByParentIdAndOid(String parentId, String oid);

    List<College> findByOidAndIdIn(String oid, List<String> ids);
}
